Name:           frei0r-plugins
Version:        1.6.1
Release:        %mkrel 5
Summary:        A minimalistic plugin API for video effects
Group:          System/Libraries
License:        GPLv2+
URL:            https://frei0r.dyne.org/
Source0:        http://files.dyne.org/frei0r/frei0r-plugins-%{version}.tar.gz
Patch0:         frei0r-1.6.1-opencv-3.4.2.patch
BuildRequires:  pkgconfig(gavl) >= 0.2.3
#BuildRequires:  pkgconfig(opencv) >= 3.4.0
Provides:       frei0r-plugins = %{version}-%{release}

%description
It is a minimalistic plugin API for video sources and filters. The behaviour of
the effects can be controlled from the host by simple parameters. The intent is
to solve the recurring reimplementation or adaptation issue of standard effect

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n frei0r-plugins-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make_build

%install
%make_install INSTALL="install -p"

# Remove these, they'll be %%doc'ed
rm -rf %{buildroot}%{_docdir}/frei0r-plugins

%files
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt
%dir %{_libdir}/frei0r-1
%{_libdir}/frei0r-1/*.so

%files devel
%{_includedir}/frei0r.h
%{_libdir}/pkgconfig/frei0r.pc


%changelog
* Sat Jul 10 2021 tex - 1.6.1-5pclos2021
- rebuild against updates

* Wed Nov 20 2019 tex - 1.6.1-4pclos2019
- rebuild against updates

* Mon Jan 28 2019 tex 1.6.1-3pclos2019
- add upstream patch to fix build with opencv >= 3.4.2
